## Class request_handler

zeep::http::request_handler — Simply an interface.

## Synopsis

    // In header: </build/libzeep-8SPbhu/libzeep-3.0.5/zeep/http/request_handler.hpp>

    class request_handler {
    public:

      // public member functions
      virtual void
      handle_request(boost::asio::ip::tcp::socket &, const request &, reply &) = 0;
    };

## Description

### `request_handler` public member functions

1.     virtual void
       handle_request(boost::asio::ip::tcp::socket & socket, const request & req,
                      reply & reply) = 0;